/api/entries/{id} (PATCH)
PATCH
/api/entries/{id}
const url = 'https://example.com/api/entries/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","clearProject":true,"taskId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","clearTask":true,"description":"example","startedAt":"2026-04-15T12:00:00Z","stoppedAt":"2026-04-15T12:00:00Z","clearStop":true,"tagIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"isBillable":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/entries/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clearProject": true, "taskId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clearTask": true, "description": "example", "startedAt": "2026-04-15T12:00:00Z", "stoppedAt": "2026-04-15T12:00:00Z", "clearStop": true, "tagIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "isBillable": true }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Request Body required
Section intitulée « Request Body required » Media type application/json
object
projectId
string format: uuid
clearProject
boolean
taskId
string format: uuid
clearTask
boolean
description
string
startedAt
string format: date-time
stoppedAt
string format: date-time
clearStop
boolean
tagIds
Array<string>
isBillable
boolean
Example generated
{ "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clearProject": true, "taskId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clearTask": true, "description": "example", "startedAt": "2026-04-15T12:00:00Z", "stoppedAt": "2026-04-15T12:00:00Z", "clearStop": true, "tagIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "isBillable": true}Responses
Section intitulée « Responses »OK